Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge.svg12
Class SVG12BridgeContext.ImplementationEventListenerMememto

    java.lang.Object
      org.apache.batik.bridge.BridgeContext.EventListenerMememto
          org.apache.batik.bridge.svg12.SVG12BridgeContext.ImplementationEventListenerMememto

Enclosing class:
  SVG12BridgeContext

    protected static class SVG12BridgeContext.ImplementationEventListenerMememto

extends BridgeContext.EventListenerMememto

A class used to store an implementation EventListener added to the DOM.

Field Summary

Fields inherited from class org.apache.batik.bridge.BridgeContext.EventListenerMememto
`eventType, listener, namespaced, namespaceURI, target, useCapture`

Constructor Summary
`SVG12BridgeContext.ImplementationEventListenerMememto(EventTarget t, String s, EventListener l, boolean b, BridgeContext c)` Creates a new ImplementationEventListenerMememto.
`SVG12BridgeContext.ImplementationEventListenerMememto(EventTarget t, String n, String s, EventListener l, boolean b, BridgeContext c)` Creates a new ImplementationEventListenerMememto.

Method Summary

Methods inherited from class org.apache.batik.bridge.BridgeContext.EventListenerMememto
`getEventType, getListener, getNamespaced, getNamespaceURI, getTarget, getUseCapture`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVG12BridgeContext.ImplementationEventListenerMememto

    public SVG12BridgeContext.ImplementationEventListenerMememto(EventTarget t,
                                                                 String s,
                                                                 EventListener l,
                                                                 boolean b,
                                                                 BridgeContext c)

  Creates a new ImplementationEventListenerMememto.

### SVG12BridgeContext.ImplementationEventListenerMememto

    public SVG12BridgeContext.ImplementationEventListenerMememto(EventTarget t,
                                                                 String n,
                                                                 String s,
                                                                 EventListener l,
                                                                 boolean b,
                                                                 BridgeContext c)

  Creates a new ImplementationEventListenerMememto.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.